;; Copyright (c) 1996 Oscar Waddell
;;
;; See the file "Notice" for information on usage and redistribution
;; of this file, and for a DISCLAIMER OF ALL WARRANTIES.

(eval-when (compile load eval)
(define-generic class-name)
(define-generic y->index)
(define-generic set-window-pos!)
(define-generic set-window-size!)
(define-generic word-start)
(define-generic line-start)
(define-generic word-end)
(define-generic line-end)
(define-generic print)
(define-generic activate)
(define-generic add-offset)
(define-generic adopt)
(define-generic swl:apply-callback-proc)
(define-generic apply-markup)
(define-generic bounding-box)
(define-generic clear-selection)
(define-generic configure)
(define-generic cursor-bof?)
(define-generic cursor-bol)
(define-generic cursor-bol?)
(define-generic cursor-eof?)
(define-generic cursor-eol)
(define-generic cursor-eol?)
(define-generic deactivate)
(define-generic delete)
(define-generic delete-all)
(define-generic delete-char)
(define-generic delete-eol)
(define-generic delete-selection-at-cursor)
(define-generic deselect)
(define-generic destroy)
(define-generic disown)
(define-generic ensure-configured-for)
(define-generic find-closest)
(define-generic find-enclosed)
(define-generic find-item)
(define-generic find-overlapping)
(define-generic fixed-mark)
(define-generic flash)
(define-generic floating-mark)
(define-generic focus-next)
(define-generic focus-prev)
(define-generic get-above-paragraph-space)
(define-generic get-accept-focus)
(define-generic get-action)
(define-generic get-active-background-color)
(define-generic get-active-foreground-color)
(define-generic get-anchor)
(define-generic get-arrow-shape)
(define-generic get-arrow-style)
(define-generic get-background-color)
(define-generic get-below-paragraph-space)
(define-generic get-blank)
(define-generic get-border-width)
(define-generic get-cap-style)
(define-generic get-char)
(define-generic get-close-enough)
(define-generic get-confine)
(define-generic get-coords)
(define-generic get-cursor-pos)
(define-generic get-digits)
(define-generic get-disabled-foreground-color)
(define-generic get-draw-indicator)
(define-generic get-draw-spline)
(define-generic get-enabled)
(define-generic get-export-selection)
(define-generic get-extent)
(define-generic get-fill-color)
(define-generic get-font)
(define-generic get-foreground-color)
(define-generic get-min)
(define-generic get-grid)
(define-generic get-height)
(define-generic get-height/char)
(define-generic get-horizontal-view)
(define-generic get-hpad)
(define-generic get-hscroll-increment)
(define-generic get-hscroll-notify)
(define-generic get-icon-title)
(define-generic get-image)
(define-generic get-insert-border-width)
(define-generic get-insert-color)
(define-generic get-insert-off-time)
(define-generic get-insert-on-time)
(define-generic get-insert-width)
(define-generic get-item)
(define-generic get-items)
(define-generic get-join-style)
(define-generic get-jump-scroll)
(define-generic get-justify)
(define-generic get-key-press-method)
(define-generic get-key-release-method)
(define-generic get-left-margin)
(define-generic get-length)
(define-generic get-line-space)
(define-generic get-line-thickness)
(define-generic get-menu)
(define-generic get-mouse-cursor)
(define-generic get-mouse-enter-method)
(define-generic get-mouse-leave-method)
(define-generic get-mouse-motion-method)
(define-generic get-mouse-press-method)
(define-generic get-mouse-release-method)
(define-generic get-orientation)
(define-generic get-outline-color)
(define-generic get-overstrike)
(define-generic get-paragraph-indent)
(define-generic get-parent)
(define-generic get-relief)
(define-generic get-repeat-delay)
(define-generic get-repeat-interval)
(define-generic get-resolution)
(define-generic get-right-margin)
(define-generic get-root-x)
(define-generic get-root-y)
(define-generic get-scroll-region)
(define-generic get-select-background-color)
(define-generic get-select-border-width)
(define-generic get-select-color)
(define-generic get-select-foreground-color)
(define-generic get-select-image)
(define-generic get-select-mode)
(define-generic get-selected-string)
(define-generic get-show-value)
(define-generic get-skip-increment)
(define-generic get-slider-length)
(define-generic get-spline-steps)
(define-generic get-start)
(define-generic get-stipple)
(define-generic get-string)
(define-generic get-style)
(define-generic get-tabs)
(define-generic get-title)
(define-generic get-max)
(define-generic get-traversal-background-color)
(define-generic get-traversal-color)
(define-generic get-traversal-thickness)
(define-generic get-trough-color)
(define-generic get-underline)
(define-generic get-underline-index)
(define-generic get-value)
(define-generic get-vertical-view)
(define-generic get-view)
(define-generic get-vpad)
(define-generic get-vscroll-increment)
(define-generic get-vscroll-notify)
(define-generic get-width)
(define-generic get-width/char)
(define-generic get-window)
(define-generic get-wrap)
(define-generic get-wrap-length)
(define-generic hide)
(define-generic hide-cascade)
(define-generic hscroll)
(define-generic iconify)
(define-generic index-of)
(define-generic init)
(define-generic insert)
(define-generic insert-at)
(define-generic insert-widget-at)
(define-generic invoke)
(define-generic item-count)
(define-generic item-enabled?)
(define-generic key-press)
(define-generic key-release)
(define-generic lower)
(define-generic make-visible)
(define-generic mark-exists?)
(define-generic mark-name)
(define-generic marked-ranges)
(define-generic markups-at)
(define-generic mouse-enter)
(define-generic mouse-leave)
(define-generic mouse-motion)
(define-generic mouse-press)
(define-generic mouse-release)
(define-generic move)
(define-generic move-char)
(define-generic move-line)
(define-generic move-to-left)
(define-generic move-to-top)
(define-generic move-word)
(define-generic option-value)
(define-generic pos<=?)
(define-generic pos<?)
(define-generic pos=?)
(define-generic pos>=?)
(define-generic pos>?)
(define-generic postscript)
(define-generic raise)
(define-generic remove-markup)
(define-generic rgb-blue)
(define-generic rgb-green)
(define-generic rgb-red)
(define-generic rgb-values)
(define-generic scheme->tcl)
(define-generic screen->canvas-x)
(define-generic screen->canvas-y)
(define-generic search)
(define-generic select)
(define-generic select-adjust)
(define-generic select-from)
(define-generic select-range)
(define-generic select-to)
(define-generic get-selected-items)
(define-generic selected?)
(define-generic selection-exists?)
(define-generic set-above-paragraph-space!)
(define-generic set-accept-focus!)
(define-generic set-transient!)
(define-generic get-transient)
(define-generic set-action!)
(define-generic set-active-background-color!)
(define-generic set-active-foreground-color!)
(define-generic set-anchor!)
(define-generic set-arrow-shape!)
(define-generic set-arrow-style!)
(define-generic set-background-color!)
(define-generic set-below-paragraph-space!)
(define-generic set-blank!)
(define-generic set-border-width!)
(define-generic set-cap-style!)
(define-generic set-close-enough!)
(define-generic set-confine!)
(define-generic set-coords!)
(define-generic set-cursor-pos!)
(define-generic set-digits!)
(define-generic set-disabled-foreground-color!)
(define-generic set-draw-indicator!)
(define-generic set-draw-spline!)
(define-generic set-enabled!)
(define-generic set-export-selection!)
(define-generic set-extent!)
(define-generic set-fill-color!)
(define-generic set-focus)
(define-generic set-font!)
(define-generic set-foreground-color!)
(define-generic set-min!)
(define-generic set-grid!)
(define-generic set-height!)
(define-generic set-height/char!)
(define-generic set-hpad!)
(define-generic set-hscroll-increment!)
(define-generic set-hscroll-notify!)
(define-generic set-icon-title!)
(define-generic set-image!)
(define-generic set-insert-border-width!)
(define-generic set-insert-color!)
(define-generic set-insert-off-time!)
(define-generic set-insert-on-time!)
(define-generic set-insert-width!)
(define-generic set-join-style!)
(define-generic set-jump-scroll!)
(define-generic set-justify!)
(define-generic set-key-press-method!)
(define-generic set-key-release-method!)
(define-generic set-left-margin!)
(define-generic set-length!)
(define-generic set-line-space!)
(define-generic set-line-thickness!)
(define-generic set-menu!)
(define-generic set-mouse-cursor!)
(define-generic set-mouse-enter-method!)
(define-generic set-mouse-leave-method!)
(define-generic set-mouse-motion-method!)
(define-generic set-mouse-press-method!)
(define-generic set-mouse-release-method!)
(define-generic set-orientation!)
(define-generic set-outline-color!)
(define-generic set-overstrike!)
(define-generic set-paragraph-indent!)
(define-generic set-parent!)
(define-generic set-relief!)
(define-generic set-repeat-delay!)
(define-generic set-repeat-interval!)
(define-generic set-resolution!)
(define-generic set-right-margin!)
(define-generic set-scroll-region!)
(define-generic set-select-background-color!)
(define-generic set-select-border-width!)
(define-generic set-select-color!)
(define-generic set-select-foreground-color!)
(define-generic set-select-image!)
(define-generic set-select-mode!)
(define-generic set-show-value!)
(define-generic set-skip-increment!)
(define-generic set-slider-length!)
(define-generic set-spline-steps!)
(define-generic set-start!)
(define-generic set-stipple!)
(define-generic set-style!)
(define-generic set-tabs!)
(define-generic set-title!)
(define-generic set-max!)
(define-generic set-traversal-background-color!)
(define-generic set-traversal-color!)
(define-generic set-traversal-thickness!)
(define-generic set-trough-color!)
(define-generic set-underline!)
(define-generic set-underline-index!)
(define-generic set-value!)
(define-generic set-view!)
(define-generic set-vpad!)
(define-generic set-vscroll-increment!)
(define-generic set-vscroll-notify!)
(define-generic set-width!)
(define-generic set-width/char!)
(define-generic set-window!)
(define-generic set-wrap!)
(define-generic set-wrap-length!)
(define-generic show)
(define-generic show-cascade)
(define-generic toggle)
(define-generic visible?)
(define-generic vscroll)
(define-generic x->index)
(define-generic xy->index)
(define-generic y->item)
(define-generic y-position)
)
